// $Id: test_ThreadManager.cpp,v 1.2 2009/02/09 12:25:45 mwache Exp $

#include <iostream>

#include "../../../CoralServerBase/tests/Common/CoralServerUnitTest.h"

// Local include files 
#include "../../src/ThreadManager.h"

// Namespace
using namespace coral::CoralSockets;
using namespace coral;

namespace coral 
{

  class ThreadTest : public Runnable {
    public:
   
       void endThread()
       {}

       void operator()() {
         std::cout << "Dann laufe ich mal" << std::endl;
         std::cout << "och, schon zu ende" << std::endl;
       }
  };

  class ThreadManagerTest : public CoralServerUnitTest 
  {

    CPPUNIT_TEST_SUITE( ThreadManagerTest );
    CPPUNIT_TEST( test_Basic );
    CPPUNIT_TEST_SUITE_END();

    public:

    void setUp() {}

    void tearDown() {
    }


    // ------------------------------------------------------
    void test_Basic() 
    {
      ThreadManager manager;


      manager.addThread( new ThreadTest() );
      manager.joinAll();

    }
  };

  CPPUNIT_TEST_SUITE_REGISTRATION( ThreadManagerTest );
  
}

CORALSERVERTEST_MAIN( ThreadManagerTest )
