/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALACCESS_DOMAINCONSTRUCTS_H
#define CORALACCESS_DOMAINCONSTRUCTS_H

#include "base.h"

#ifdef CORAL_SEALED
    #include "SealKernel/Service.h"
   
    START_CORALACCESS_NAMESPACE
        typedef seal::Service DomainBase;
    END_CORALACCESS_NAMESPACE

#else // #ifdef CORAL_SEALED
    #include "CoralKernel/Service.h"

    START_CORALACCESS_NAMESPACE
        typedef coral::Service DomainBase;
    END_CORALACCESS_NAMESPACE
    
#endif // #ifdef CORAL_SEALED

START_CORALACCESS_NAMESPACE
    typedef DomainBase ServiceType; 
END_CORALACCESS_NAMESPACE

#endif // #ifndef CORALACCESS_DOMAINCONSTRUCTS_H

