/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#include "Domain.h"
#include "DomainProperties.h"

START_CORALACCESS_NAMESPACE

DomainProperties::DomainProperties(Domain* service)
	: _service(service)
{
	// EMPTY
}

DomainProperties::~DomainProperties() 
{
	// EMPTY
}

ServiceType* DomainProperties::service() const
{
  return dynamic_cast<ServiceType*>(_service);
}

END_CORALACCESS_NAMESPACE
