/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALACCESS_DOMAINPROPERTIES_H
#define CORALACCESS_DOMAINPROPERTIES_H

#include "DomainConstructs.h"

START_CORALACCESS_NAMESPACE

class Domain;

class DomainProperties
{
public:
	DomainProperties(Domain* service);
	
	virtual ~DomainProperties();

	ServiceType* service() const;
	
private:
	Domain* _service;
};

END_CORALACCESS_NAMESPACE

#endif // #ifndef CORALACCESS_DOMAINPROPERTIES_H
