#ifndef CORALACCESS_NOTIMPLEMENTED_H
#define CORALACCESS_NOTIMPLEMENTED_H


// Include files
#include "CoralMessaging/Insulation/Exception.h"

/** @class IRequestHandler
 *
 *  @author Andrea Valassi
 *  @date   2007-12-04
 */

namespace coral {

  namespace CoralAccess {

    class NotImplemented : public Exception
    { 
 
    public:
      
      /// Constructor
      NotImplemented( const std::string& methodName )
        : Exception( "This method is not yet implemented", 
                     methodName, "coral::CoralAccess" ) {}
      
      /// Destructor
      virtual ~NotImplemented() throw() {}

    };

  }

}
#endif
