/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#include "NotImplemented.h"
#include "Session.h"
#include "TableSchemaEditor.h"

START_CORALACCESS_NAMESPACE

TableSchemaEditor::TableSchemaEditor(const std::string& schemaName, const std::string& tableName, coral::TableDescription& tableDesc, Session& session, bool refresh)
	: _loader(session, schemaName)
{
	tableDesc.setName(tableName);

	if (refresh)
		_loader.refreshTableDescription(tableDesc);
}

TableSchemaEditor::~TableSchemaEditor()
{
	// EMPTY
}

void TableSchemaEditor::insertColumn( const std::string& /*name*/, const std::string& /*type*/, int /*size = 0*/, bool /*fixedSize = true*/, std::string /*tableSpaceName = ""*/)
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::dropColumn( const std::string& /*name */)
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::renameColumn( const std::string& /*originalName*/, const std::string& /*newName*/ )
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::changeColumnType( const std::string& /*columnName*/, const std::string& /*typeName*/, int /*size = 0*/, bool /*fixedSize = true*/)
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::setNotNullConstraint( const std::string& /*columnName*/, bool /*isNotNull = true*/)
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::setUniqueConstraint( const std::string& /*columnName*/, std::string /*name = ""*/, bool /*isUnique = true*/, std::string /*tableSpaceName = ""*/)
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::setUniqueConstraint( const std::vector<std::string>& /*columnNames*/, std::string/* name = ""*/, bool /*isUnique = true*/, std::string /*tableSpaceName = ""*/)
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::setPrimaryKey( const std::string& /*columnName*/, std::string /*tableSpaceName = ""*/)
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::setPrimaryKey( const std::vector<std::string>& /*columnNames*/, std::string /*tableSpaceName = ""*/)
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::dropPrimaryKey()
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::createIndex( const std::string& /*indexName*/, const std::string& /*columnName*/, bool /*isUnique = false*/, std::string /*tableSpaceName = ""*/)
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::createIndex( const std::string& /*name*/, const std::vector<std::string>& /*columnNames*/, bool /*isUnique = false*/, std::string /*tableSpaceName = ""*/)
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::dropIndex( const std::string& /*indexName*/ )
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::createForeignKey( const std::string& /*name*/, const std::string& /*columnName*/, const std::string& /*referencedTableName*/, const std::string& /*referencedColumnName*/ )
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::createForeignKey( const std::string& /*name*/, const std::vector<std::string>& /*columnNames*/, const std::string& /*referencedTableName*/, const std::vector<std::string>& /*referencedColumnNames*/ )
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

void TableSchemaEditor::dropForeignKey( const std::string& /* name */ )
{
	// TODO
	throw NotImplemented(__FUNCTION__);
}

END_CORALACCESS_NAMESPACE
