/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALACCESS_TCPCONNECTIONSTUBFACTORY_H
#define CORALACCESS_TCPCONNECTIONSTUBFACTORY_H

#include "base.h"
#include "IConnectionStubFactory.h"

START_CORALACCESS_NAMESPACE;

class TcpConnectionStubFactory : public IConnectionStubFactory {
public:
    virtual IConnectionStub* create(const std::string& domainName, const std::string& host, uint32_t port, const uint32_t cid) const;
};

END_CORALACCESS_NAMESPACE

#endif // #ifndef CORALACCESS_TCPCONNECTIONSTUBFACTORY_H
