/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALACCESS_TESTS_STRESSTEST_H_
#define CORALACCESS_TESTS_STRESSTEST_H_

#include "../UnitTestSuite/TestBase.h"

START_CORALACCESS_NAMESPACE

class OracleSessionCreator;

#define TEST_NAMES (testExecuteManyQueries)

class StressTest : public CPPUNIT_NS::TestFixture
{
    CPPUNIT_TEST_SUITE (StressTest);
    BOOST_PP_SEQ_FOR_EACH(TESTBASE_TESTDEF, ~, TEST_NAMES);
    CPPUNIT_TEST_SUITE_END ();

public:
    void setUp (void) {};
    void tearDown (void) {};

	static std::string TableName() {return "T";}
	static int QueryNum() {return 1000;}

protected:
	BOOST_PP_SEQ_FOR_EACH(TESTBASE_METHODEF, ~, TEST_NAMES)
};

#undef TEST_NAMES

END_CORALACCESS_NAMESPACE

#endif /*CORALACCESS_TESTS_STRESSTEST_H_*/
