/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */

#include "DomainHandle.h"

START_CORALACCESS_NAMESPACE

#ifdef CORAL_SEALED

Domain DomainHandle::_domain(NULL);

DomainHandle::DomainHandle()
{
	// EMPTY
}

#else // #ifdef CORAL_SEALED

DomainHandle::DomainHandle()
	: _domain("CoralAccess/UnitTestSuite")
{
	// EMPTY
}

#endif // #ifdef CORAL_SEALED

Domain& DomainHandle::get()
{
	return _domain;
}

END_CORALACCESS_NAMESPACE
