/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALACCESS_TESTS_DOMAINHANDLE_H_
#define CORALACCESS_TESTS_DOMAINHANDLE_H_

#include "../../src/Domain.h"

#include "TestBase.h"

START_CORALACCESS_NAMESPACE

class DomainHandle
{
public:
	DomainHandle();

	Domain& get();

private:

#ifdef CORAL_SEALED
	static
#endif // #ifdef CORAL_SEALED
	Domain _domain;
};

END_CORALACCESS_NAMESPACE

#endif /*CORALACCESS_TESTS_DOMAINHANDLE_H_*/
