/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALACCESS_TESTS_TESTBASE_H_
#define CORALACCESS_TESTS_TESTBASE_H_

#include <iosfwd>

#include "CoralMessaging/Utils/ctl.h"

#include "UnitTests/UnitTestBase.h"
#include "../../src/base.h"

START_CORALACCESS_NAMESPACE

namespace TestData
{
	extern bool WithServer;
	extern bool ExecuteStressTest;
	extern std::string DbServiceName;
	extern std::string CoralServiceName;
	extern std::string CoralServerUrl;
	extern std::string ExistingSchemaName;
	extern std::string OtherExistingSchemaName;
	extern std::string NotExistingSchemaName;
	extern std::string ExistingDbUri;
	extern std::string ServerVersion;
}

END_CORALACCESS_NAMESPACE

#endif /*CORALACCESS_TESTS_TESTBASE_H_*/
