/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALBRICKS_BASE_H_
#define CORALBRICKS_BASE_H_

#ifndef START_CORALBRICKS_NAMESPACE
  #define START_CORALBRICKS_NAMESPACE namespace coral { namespace CoralBricks {
#endif

#ifndef END_CORALBRICKS_NAMESPACE
  #define END_CORALBRICKS_NAMESPACE } } 
#endif

#ifndef CORALBRICKS_NAMESPACE_NAME
  #define CORALBRICKS_NAMESPACE_NAME coral::CoralBricks
#endif

#include <assert.h>

#define CORALBRICKS_FORCE_CRASH_HERE assert(0)

#ifdef NDEBUG
  #define CORALBRICKS_DEBUG_ASSERT(x) 
#else
  #define CORALBRICKS_DEBUG_ASSERT(x) assert((x))
#endif

#endif // #ifndef CORALBRICKS_BASE_H_

