/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALMESSAGING_INSULATION_EXCEPTIONS_H
#define CORALMESSAGING_INSULATION_EXCEPTIONS_H

#ifdef CORAL_SEALED

#include "LookupServiceException.h"
#include "MonitoringException.h"
#include "RelationalServiceException.h"
#include "SchemaException.h"
#include "SessionException.h"
#include "WebCacheControlException.h"

#else // #ifdef CORAL_SEALED

#include "RelationalAccess/LookupServiceException.h"
#include "RelationalAccess/MonitoringException.h"
#include "RelationalAccess/RelationalServiceException.h"
#include "RelationalAccess/SchemaException.h"
#include "RelationalAccess/SessionException.h"
#include "RelationalAccess/WebCacheControlException.h"

#endif // #ifdef CORAL_SEALED

#endif // #ifndef CORALMESSAGING_INSULATION_EXCEPTIONS_H
