/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef _CORALMESSAGING_BASE_H_
#define _CORALMESSAGING_BASE_H_

#ifndef START_CORALMESSAGING_NAMESPACE
  #define START_CORALMESSAGING_NAMESPACE namespace coral { namespace CoralMessaging {
#endif

#ifndef END_CORALMESSAGING_NAMESPACE
  #define END_CORALMESSAGING_NAMESPACE } } 
#endif

#ifndef CORALMESSAGING_NAMESPACE_NAME
  #define CORALMESSAGING_NAMESPACE_NAME coral::CoralMessaging
#endif

#include "CoralMessaging/Utils/Error.h"
#define FORCE_CRASH_HERE EXCEPTION_THROW(CORALMESSAGING_NAMESPACE_NAME::Err_Custom("!!! SOFTWARE CRASH!!!"));

#ifdef NDEBUG
  #define DEBUG(x) 
#else
  #define DEBUG(x) x
#endif

#ifdef NDEBUG
  #define DEBUG_ASSERT(x) 
#else
  #define DEBUG_ASSERT(x) if (!(x)) FORCE_CRASH_HERE
#endif

#endif // #ifndef _CORALMESSAGING_BASE_H_
