/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */

#include "CoralMessaging/CAL/MsgObj/QueryRepresentation.h"
#include "CoralMessaging/CAL/CoralExceptionImpl.h"
#include "CoralMessaging/CoralException.h"

START_CORALMESSAGING_NAMESPACE

void CoralException::checkAndThrow(const IMessage& msg)
{
	return CAL::CoralExceptionImpl::checkAndThrow(msg);
}
	
uint32_t CoralException::getID(const std::type_info& ti)
{
	return CAL::CoralExceptionImpl::getID(ti);
}

END_CORALMESSAGING_NAMESPACE
