/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALMESSAGING_MSGREPORTER_H_
#define CORALMESSAGING_MSGREPORTER_H_

#include "CoralMessaging/Insulation/MessageStream.h"
#include "CoralMessaging/base.h"

START_CORALMESSAGING_NAMESPACE

class MsgReporter : public coral::MsgReporter
{
public:
	MsgReporter();
	
	virtual void report(int level, const std::string& src, const std::string& msg);
};

END_CORALMESSAGING_NAMESPACE

#endif /* CORALMESSAGING_MSGREPORTER_H_ */
