/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALMESSAGING_TESTS_FLOATREPRESENTATIONTEST_H_
#define CORALMESSAGING_TESTS_FLOATREPRESENTATIONTEST_H_

#include "TestBase.h"

START_CORALMESSAGING_NAMESPACE

#define TEST_NAMES (test)

class FloatRepresentationTest: public CPPUNIT_NS :: TestFixture
{
    CPPUNIT_TEST_SUITE (FloatRepresentationTest);
    BOOST_PP_SEQ_FOR_EACH(TESTBASE_TESTDEF, ~, TEST_NAMES);
    CPPUNIT_TEST_SUITE_END ();

public:
    void setUp (void) {};
    void tearDown (void) {};

protected:
	BOOST_PP_SEQ_FOR_EACH(TESTBASE_METHODEF, ~, TEST_NAMES)

private:
	template<class FloatType, class ReprType> void _test();
};

#undef TEST_NAMES

END_CORALMESSAGING_NAMESPACE

#endif /* #ifndef CORALMESSAGING_TESTS_FLOATREPRESENTATIONTEST_H_ */
