/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef MESSAGEFORMATTERTEST_H_
#define MESSAGEFORMATTERTEST_H_

#include "TestBase.h"

START_CORALMESSAGING_NAMESPACE

#define TEST_NAMES (testMessage)(testCTLMessage)(testListTablesReply)

class MessageFormatterTest: public CPPUNIT_NS :: TestFixture
{
    CPPUNIT_TEST_SUITE (MessageFormatterTest);
    BOOST_PP_SEQ_FOR_EACH(TESTBASE_TESTDEF, ~, TEST_NAMES);
    CPPUNIT_TEST_SUITE_END ();

public:
    void setUp (void) {};
    void tearDown (void) {};

protected:
	BOOST_PP_SEQ_FOR_EACH(TESTBASE_METHODEF, ~, TEST_NAMES)
};

#undef TEST_NAMES

END_CORALMESSAGING_NAMESPACE

#endif /*MESSAGEFORMATTERTEST_H_*/
