#include "PacketHeaderTest.h"

START_CORALPROTOCOL_NAMESPACE
// Registered tests
// comment out the test that you do not want to run
CPPUNIT_TEST_SUITE_REGISTRATION (PacketHeaderTest);

END_CORALPROTOCOL_NAMESPACE

int main ()
{
    CPPUNIT_NS :: TestResult testresult;
    CPPUNIT_NS :: TestResultCollector collectedresults;
    testresult.addListener (&collectedresults);
    CPPUNIT_NS :: BriefTestProgressListener progress;
    testresult.addListener (&progress);
    CPPUNIT_NS :: TestRunner testrunner;
    testrunner.addTest (CPPUNIT_NS :: TestFactoryRegistry :: getRegistry ().makeTest ());
    testrunner.run (testresult);
    CPPUNIT_NS :: CompilerOutputter compileroutputter (&collectedresults, std::cerr);
    compileroutputter.write ();
    
    return collectedresults.wasSuccessful () ? 0 : 1;
}
