/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALSERVER_TCPSOCKETACCEPTOR_H_
#define CORALSERVER_TCPSOCKETACCEPTOR_H_

#include "CoralMessaging/Tcp/TcpSocket.h"

#include "Pointers.h"

START_CORALSERVER_NAMESPACE

using namespace CORALMESSAGING_NAMESPACE_NAME::Tcp;

struct TcpSocketAcceptor 
{
	static Pointer<TcpSocket>::Shared Accept(const TcpSocket& passive);
};

END_CORALSERVER_NAMESPACE

#endif /*CORALSERVER_TCPSOCKETACCEPTOR_H_*/
