/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALSERVER_TESTS_TESTTABLECREATOR_H_
#define CORALSERVER_TESTS_TESTTABLECREATOR_H_

#include "CoralServer/base.h"

START_CORALSERVER_NAMESPACE

struct TestTableCreator
{
	static void Create(const std::string& serviceName, const std::string& tableName);

private:
	static int _RowNum() {return 6;}
};

END_CORALSERVER_NAMESPACE

#endif /*CORALSERVER_TESTS_TESTTABLECREATOR_H_*/
