/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALSERVER_DAEMONMSGREPORTER_H_
#define CORALSERVER_DAEMONMSGREPORTER_H_

#include "CoralBase/MessageStream.h"
#include "CoralServer/base.h"

START_CORALSERVER_NAMESPACE

class DaemonMsgReporter : public coral::MsgReporter
{
public:
	DaemonMsgReporter();
	virtual ~DaemonMsgReporter();
	
	// From IMsgReporter
	virtual void report(int level, const std::string& src, const std::string& msg);
private:
	static int _getSysLogLevel(const int level);
};

END_CORALSERVER_NAMESPACE

#endif /* CORALSERVER_DAEMONMSGREPORTER_H_ */
