#ifndef LFCREPLICASERVICE_LFCLOGICALCONNECTIONSTRING_H
#define LFCREPLICASERVICE_LFCLOGICALCONNECTIONSTRING_H

#include <string>
#include "LFCFile.h"

namespace coral {

  namespace LFCReplicaService {

    class LFCLogicalConnectionString {

      public:

      LFCLogicalConnectionString();

      explicit LFCLogicalConnectionString(const std::string& logicalString);

      const LFCFile& lfcFile() const;

      static std::string lfcRootFolder();
      
      private:

      static std::string parseLogicalString(const std::string& logicalString);

      private:
      
      LFCFile m_lfcFile;
      
    };
    
  }
  
}

#endif

    
