#ifndef CONNECTIONAPP_H
#define CONNECTIONAPP_H

#include "../Common/TestBase.h"

class ConnectionApp : virtual public TestBase
{
public:
  ConnectionApp( const std::string& connectionString,
                 const std::string& userName,
                 const std::string& password );
  virtual ~ConnectionApp();
  void run();

private:
  std::string m_connectionString;
  std::string m_userName;
  std::string m_password;  
};

#endif
