#ifndef TABLECREATEANDQUERYTHREAD_H
#define TABLECREATEANDQUERYTHREAD_H

namespace coral {
  class ISchema;
}

class Reporter;

class TableCreateAndQueryThread {

public:
  // Constructor
  TableCreateAndQueryThread( coral::ISchema& schema,
                             int tableNumber,
                             Reporter& reporter ):
    m_schema( schema ),
    m_tableNumber( tableNumber ),
    m_reporter( reporter )
  {}

  // Destructor
  ~TableCreateAndQueryThread() {}

  // The thread body
  void operator()();

private:
  coral::ISchema& m_schema;
  int m_tableNumber;
  Reporter& m_reporter;
};

#endif
