#ifndef TEST_BASIC_H
#define TEST_BASIC_H 1

#include "TestEnv/Testing.h"

namespace coral {
    class IView;
    class ITableDescription;
}

class SchemaDefinition : public Testing {
    
public:
    SchemaDefinition(TestEnv * env);

    void prepareSchema();
    void readSchema();
    void printViewInfo( const coral::IView& view ) const;
    void printTableInfo( const coral::ITableDescription& description ) const;
    
};

#endif
