#include "TestBase.h"
#include "RelationalAccess/IAuthenticationService.h"
#include "RelationalAccess/IAuthenticationCredentials.h"

TestBase::TestBase( coral::IAuthenticationService& service,
                    const std::string& connectionString ):
  m_username( "" ),
  m_password( "" )
{
  const coral::IAuthenticationCredentials& credentials = service.credentials( connectionString );
  m_username = credentials.valueForItem( "user" );
  m_password = credentials.valueForItem( "password" );
}
