/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef TESTS_INTEGRATION_BASIC_TRANSACTION_H
#define TESTS_INTEGRATION_BASIC_TRANSACTION_H

#include "TestEnv/Testing.h"

namespace coral {

namespace Tests {

/** Test the transaction-related operations. */
class Transaction : public Testing
{
public:
	/// Constructor
	Transaction(TestEnv * env);

	/// Run all the tests
	void run();
	
private:
	/// Test if update transactions are forbidden in readonly sessions
    void _testInvalidOpeningMode();
};

} // namespace coral

} // namespace Tests

#endif // TESTS_INTEGRATION_BASIC_TRANSACTION_H

