#include <string>
#include "RelationalAccess/ISessionProxy.h"
#include "RelationalAccess/AccessMode.h"
#include "PluginManager/PluginManager.h"
#include "SealKernel/Context.h"
#include "SealKernel/ComponentLoader.h"
#include "RelationalAccess/IConnectionService.h"

namespace coral {
  class ISessionProxy;
}

class Connection
{
public:
  // Constructor
  Connection();

  // Destructor
  ~Connection();
  
  coral::ISessionProxy* getSessionProxy( const std::string& ConnectionName, coral::AccessMode mode);
  
  
  private:
  seal::Handle<seal::Context> m_context;
  
};
