#include "MysqlSchema.h"
#include "RelationalAccess/ISchema.h"
#include "RelationalAccess/ITransaction.h"
#include <iostream>




MysqlSchema::MysqlSchema(coral::ISessionProxy *proxy):
m_proxy (proxy)
{}


MysqlSchema::~MysqlSchema()
{
 
}
void MysqlSchema::listTables(const std::string& schema)
{
    m_proxy->transaction().start();
    std::cout << "Tables in the schema: " << schema<<std::endl;
    std::set< std::string > listOfTables = m_proxy->schema(schema).listTables();
    for ( std::set< std::string >::const_iterator iTable = listOfTables.begin();
          iTable != listOfTables.end(); ++iTable ) std::cout << *iTable << std::endl;
    m_proxy->transaction().commit();
}    
