import threading
import commands
import string
import sys
import time

total = 0

class LFCLookupThread(threading.Thread):
  def __init__( self, name ):
    threading.Thread.__init__( self, name=name )
    self.__timePerQuery = []
    return

  def run( self ):
    cmd = 'test_LFCLookup_Performance_Test 50'
   # cmd = 'eval `scram runtime -csh`;'
   # cmd = cmd + 'setenv LFC_HOST=lxb1925.cern.ch;'
   # cmd = cmd + 'test_LFCLookupService_Thread'
    for i in range( 1 ):
      ret = commands.getstatusoutput( cmd )
      if ret[0] != 0:
        print self.getName() + ' failed at i = ' + str(i)
        fe = open( self.getName() + '.err','a+')
        fe.write( ret[1] )
        fe.write( '\n' )
        fe.close()
        return 
      output = string.split( ret[1], '\n' )
      for line in output:
        index = string.find( line, 'Time taken ::' )
        if index >= 0:
          infos = string.split( line[index + len('Time taken :: '):] )
          f = open( self.getName() + '.txt','a+')
          for info in infos:
            f.write( info + ' ' )
          f.write('\n')
          f.close()
          print infos

  def times( self ):
    result = self.__timePerQuery
    return result


if __name__ == '__main__':
  
  # Create the threads
  t = []
  for i in range(int(sys.argv[3])):
    t.append( LFCLookupThread( sys.argv[1] + '/R_' + sys.argv[2] + '_t_' + str(i) ) )

  for ti in t:
    print 'Starting ' + ti.getName()
    ti.start()
    time.sleep(5)
    print '...Running'

  for ti in t:
    while ti.isAlive(): time.sleep(1);
    print ti.getName() + ' done'



