#ifndef CORAL_TESTING_APPLICATION_FACTORY
#define CORAL_TESTING_APPLICATION_FACTORY

#include <string>

namespace coral {

  namespace Testing {

    class ApplicationBase;

    class ApplicationFactory
    {
    public:
      static ApplicationFactory& instance();

      ApplicationBase* application( const std::string& testName,
                                    const std::string& args );

    protected:
      ApplicationFactory();
    };

  }

}


#endif
