#ifndef CORAL_TESTING_DATA_READER
#define CORAL_TESTING_DATA_READER

#include "Connectivity/ApplicationBase.h"
#include <string>

namespace coral {

  namespace Testing {

    class Reader : public ApplicationBase
    {
    public:
      /// Constructor
      explicit Reader( const std::string& args );

      /// Destructor
      virtual ~Reader();

      /// Performs the first read operation
      virtual void read1();

      /// Performs the second read operation
      virtual void read2();
    };

  }

}


#endif
