#! /usr/bin/env python
# $Id: coolSetup.py,v 1.2 2007/11/27 10:20:08 rbasset Exp $
"""
	Sets the parameters that will be used during the test.
"""

from PyCool import cool

class CoolSetup(object):

        #-----------------------------------------------------------------------------
        # Connection string
        #-----------------------------------------------------------------------------

	oracleService = "oracleTestRAC"
	clientUsername = "oracleTestUser"
	coolDBName = "COOLTEST"
        ### a typical connection string will be like the following
	# "oracle://oracleTestRAC1;schema=oracleTestUser;dbname=COOLTEST" (for node 1)
	connectString = \
	"oracle://"+oracleService+"1;schema="+clientUsername+";dbname="+coolDBName

        #-----------------------------------------------------------------------------
        # Payload specification
        #-----------------------------------------------------------------------------

        spec = cool.RecordSpecification()
        spec.extend( "S", cool.StorageType.String255 )

        payloadString = "012345678901234567890123456789012345678901234567890123456789"

        #-----------------------------------------------------------------------------
        # Writing options
        #-----------------------------------------------------------------------------

        nFolders = 250 		# number of folders
        nChan = 200 		# number of channels per folder
	firstKey = 0 		# first key iovSince
	iovValidity = 1 	# size of the iov 
	nIOV = 1000 		# number of iov to be inserted (per channel)

