#! /usr/bin/env python
# $Id: stopTest.py,v 1.5 2007/12/07 16:34:18 rbasset Exp $
""" Stops all the clients & the manager """

import os
import sys
import time

def main(argv):
   if len( argv ) != 1:
      print "Usage: stopClients.py {clean|<logDirName>}"
      sys.exit()
   
   # Loads config parameters
   from config import Config
   cfg = Config().config

   # When stopped manually, the test end date has to be written in the logs
   if argv[0] != 'clean':
      dateFile = open( cfg[ 'clientLogDir' ] + argv[0] + '/executionDates.log', 'a' )
      dateFile.write(str(time.time()) + '\n')
      dateFile.close()

   for node in cfg[ 'testNodes' ][0:cfg[ 'numBoxes' ]]:
      os.system( "ssh -qx " + node + " 'killall python; killall " + cfg[ 'testClientExe' ] + "'")

if __name__ == '__main__':
   main(sys.argv[1:])

