<?php

include ("../jpgraph/src/jpgraph.php");
include ("../jpgraph/src/jpgraph_scatter.php");
include ("../jpgraph/src/jpgraph_date.php");

$metric = $_GET["metric"];

include ("jpgraphdata/metricthroughput".$metric.".php");
include ("jpgraphdata/xdatathroughput.php");

// Create the graph. These two calls are always required
$graph = new Graph(800,400,"auto"); 
$graph->SetScale("datlin");
$graph->img->SetAntiAliasing();
$graph->img->SetMargin(60,40,20,90);
$graph->SetMarginColor('white'); 

// Rate (average since the beginning of the test)
$lineplot2 = new ScatterPlot($metricdata, $xdata);
$lineplot2->mark->SetType(MARK_CROSS);
$lineplot2->mark->SetColor("blue");
$lineplot2->SetLegend($metricname);
$graph->Add($lineplot2);

$graph->title->SetFont(FF_FONT1,FS_BOLD);
$graph->title->Set($graphname);
$graph->xaxis->title->SetFont(FF_FONT1,FS_BOLD);
$graph->xaxis->SetTitle("Timeline","middle");
$graph->xaxis->SetLabelAngle(90);
$graph->xaxis->scale->SetDateFormat('H:i:s');
$graph->yaxis->title->SetFont(FF_FONT1,FS_BOLD);
$graph->yaxis->SetTitle($metricname,"middle");
$graph->yaxis->SetColor("blue","black");
$graph->yaxis->SetTitleMargin(45);

$graph->legend->Pos(0.5,0.99,"center","bottom");
$graph->legend->SetLayout(LEGEND_HOR);
$graph->Stroke();

?>

