#!/usr/bin/env python

import os
import os.path
import sys

if len(sys.argv) < 2:
  print 'Usage: ' + sys.argv[0] + ' CORAL_RELEASE_NAME'

else:
  releaseName = sys.argv[1]
  if not os.path.exists( os.path.join( 'releases', releaseName ) ):
    print 'Release ' + releaseName + ' does not exist'
  else:
    if os.path.exists( 'currentRelease' ):
      os.remove( 'currentRelease' )
    os.symlink( os.path.join( 'releases', releaseName ), 'currentRelease' )
