// $Id: CoralServerFacadeService.cpp,v 1.1 2009/01/30 18:40:21 avalassi Exp $

// Local include files
#include "CoralServerFacadeService.h"

// Logger
#define LOGGER_NAME "CORAL/Services/CoralServerFacade"
#include "logger.h"

// Namespaces
using namespace coral::CoralServer;

//-----------------------------------------------------------------------------

CoralServerFacadeService::CoralServerFacadeService( const std::string& key )
  : coral::Service( key )
  , m_facade()
{
  logger << Debug << "Create CoralServerFacadeService" << endlog;
}

//-----------------------------------------------------------------------------

CoralServerFacadeService::~CoralServerFacadeService()
{
  logger << Debug << "Delete CoralServerFacadeService" << endlog;
}

//-----------------------------------------------------------------------------
