#ifndef CORAL_CORALSTUBS_CALPROTOCOL_H
#define CORAL_CORALSTUBS_CALPROTOCOL_H

namespace coral {

  namespace CALOpcodes {

    static const CALOpcode FetchRows           = 0x10;
    static const CALOpcode FetchRowsNext       = 0x11;
    static const CALOpcode ReleaseCursor       = 0x12;
    static const CALOpcode FetchAllRows        = 0x13;
    static const CALOpcode ListTables          = 0x14;
    static const CALOpcode TableDescription    = 0x15;
    static const CALOpcode TableDescriptionMap = 0x16;
    static const CALOpcode SessionProperties   = 0x17;

  }
    
}

#endif
