#ifndef CORAL_CORALSTUBS_CLIENTUTILS_H
#define CORAL_CORALSTUBS_CLIENTUTILS_H

#include "CoralServerBase/CALPacketHeader.h"

namespace coral {

  class ByteBuffer;

  class IByteBufferIterator;
  
  namespace CoralStubs {

    ByteBuffer* prepareRequestMessage( coral::CALOpcode opcode );

    void prepareExceptionMessage(const ByteBuffer& replyBuffer);

    const ByteBuffer& prepareReplyMessageFP(IByteBufferIterator& reply, coral::CALOpcode opcode, bool& fromProxy);

    const ByteBuffer& prepareReplyMessage(IByteBufferIterator& reply, coral::CALOpcode opcode);

  } 

}

#endif
