/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */

#include "Session.h"
#include "PrivilegeManager.h"
#include "NotImplemented.h"

START_CORALACCESS_NAMESPACE
    
PrivilegeManager::PrivilegeManager(const Session& session, const std::string& tableName)
	: _session(session),
	  _tableName(tableName)
{
	// EMPTY
}

PrivilegeManager::~PrivilegeManager()
{
	// EMPTY
}

void PrivilegeManager::grantToUser(const std::string& /*userName*/, coral::ITablePrivilegeManager::Privilege /*right*/)
{
	// TODO implement
	throw NotImplemented(__FUNCTION__);
}

void PrivilegeManager::revokeFromUser(const std::string& /*userName*/, coral::ITablePrivilegeManager::Privilege /*right*/)
{
	// TODO implement
	throw NotImplemented(__FUNCTION__);
}

void PrivilegeManager::grantToPublic(coral::ITablePrivilegeManager::Privilege)
{
	// TODO implement
	throw NotImplemented(__FUNCTION__);
}

void PrivilegeManager::revokeFromPublic(coral::ITablePrivilegeManager::Privilege)
{
	// TODO implement
	throw NotImplemented(__FUNCTION__);
}
 
END_CORALACCESS_NAMESPACE

