/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */

#ifndef CORALACCESS_SCHEMALOADER_H
#define CORALACCESS_SCHEMALOADER_H

#include "base.h"

#include <boost/noncopyable.hpp>

START_CORALACCESS_NAMESPACE

class Session;

/**
 * The class is not thread-safe, external protection is needed. 
 */

class SchemaLoader : public boost::noncopyable
{
public:       
	bool schemaExists(Session& session, const std::string& schemaName);
};

END_CORALACCESS_NAMESPACE

#endif // #ifndef CORALACCESS_SCHEMALOADER_H
