/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALACCESS_BASE_H_
#define CORALACCESS_BASE_H_

#ifndef START_CORALACCESS_NAMESPACE
  #define START_CORALACCESS_NAMESPACE namespace coral { namespace CoralAccess {
#endif

#ifndef END_CORALACCESS_NAMESPACE
  #define END_CORALACCESS_NAMESPACE } } 
#endif

#ifndef CORALACCESS_NAMESPACE_NAME
  #define CORALACCESS_NAMESPACE_NAME coral::CoralAccess
#endif

#include "CoralMessaging/Utils/Error.h"
#define CORALACCESS_FORCE_CRASH_HERE EXCEPTION_THROW(CORALMESSAGING_NAMESPACE_NAME::Err_Custom("!!! SOFTWARE CRASH!!!"));

#ifdef NDEBUG
  #define CORALACCESS_DEBUG(x) 
#else
  #define CORALACCESS_DEBUG(x) x
#endif

#ifdef NDEBUG
  #define CORALACCESS_DEBUG_ASSERT(x) 
#else
  #define CORALACCESS_DEBUG_ASSERT(x) if (!(x)) CORALACCESS_FORCE_CRASH_HERE
#endif

#endif // #ifndef CORALACCESS_BASE_H_
