#include "Domain.h"

#ifdef CORAL_SEALED

#include "PluginManager/ModuleDef.h"
#include "SealKernel/ComponentFactory.h"

DEFINE_SEAL_MODULE();
DEFINE_SEAL_PLUGIN( seal::ComponentFactory, coral::CoralAccess::Domain,
                    coral::CoralAccess::Domain::classContextLabel() );

#else // #ifdef CORAL_SEALED

#include "CoralKernel/CoralPluginDef.h"

CORAL_PLUGIN_MODULE( "CORAL/RelationalPlugins/coral", coral::CoralAccess::Domain )

#endif // #ifdef CORAL_SEALED
