/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALACCESS_TESTS_CONNECTIONSTUBTEST_H_
#define CORALACCESS_TESTS_CONNECTIONSTUBTEST_H_

#include "../../src/ConnectionStub.h"

#include "TestBase.h"

START_CORALACCESS_NAMESPACE

#define TEST_NAMES (test)

class ConnectionStubTest: public CPPUNIT_NS :: TestFixture
{
    CPPUNIT_TEST_SUITE (ConnectionStubTest);
    BOOST_PP_SEQ_FOR_EACH(TESTBASE_TESTDEF, ~, TEST_NAMES);
    CPPUNIT_TEST_SUITE_END ();

public:
    void setUp (void) {};
    void tearDown (void) {};
    
    static const std::set<std::string>& TableList();
    
protected:
	BOOST_PP_SEQ_FOR_EACH(TESTBASE_METHODEF, ~, TEST_NAMES)
};

#undef TEST_NAMES

END_CORALACCESS_NAMESPACE

#endif /*CORALACCESS_TESTS_CONNECTIONSTUBTEST_H_*/
