/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALCOMMON_EXPRESSIONPARSERTEST_H
#define CORALCOMMON_EXPRESSIONPARSERTEST_H

#include "UnitTests/UnitTestBase.h"

namespace coral { namespace CoralCommon {

#define TEST_NAMES (testSingleQuote)

#define CLASS_NAME ExpressionParserTest

class CLASS_NAME : public CPPUNIT_NS :: TestFixture
{
    CPPUNIT_TEST_SUITE (CLASS_NAME);
    BOOST_PP_SEQ_FOR_EACH(TESTBASE_TESTDEF, ~, TEST_NAMES);
    CPPUNIT_TEST_SUITE_END ();

public:
    void setUp (void) {}
    void tearDown (void) {}

protected:
	BOOST_PP_SEQ_FOR_EACH(TESTBASE_METHODEF, ~, TEST_NAMES)
};

} } // namespace coral, CoralCommon

#undef CLASS_NAME
#undef TEST_NAMES

#endif // #ifndef CORALCOMMON_EXPRESSIONPARSERTEST_H
