/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#include "TestBase.h"
#include "ContextTest.h"
#include "PropertyManagerTest.h"

namespace coral { namespace CoralKernel {

// Registered tests
// comment out the test that you do not want to run
CPPUNIT_TEST_SUITE_REGISTRATION (ContextTest);
CPPUNIT_TEST_SUITE_REGISTRATION (PropertyManagerTest);

} } // namespace coral::CoralKernel

int main ()
{
	return coral::UnitTests::run();
}

