/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALMESSAGING_TESTS_ATTRIBUTELISTREPRESENTATIONTEST_H_
#define CORALMESSAGING_TESTS_ATTRIBUTELISTREPRESENTATIONTEST_H_

#include "CoralMessaging/Stream/DataStringStream.h"

#include "TestBase.h"

START_CORALMESSAGING_NAMESPACE

#define TEST_NAMES (testBlob)(testVector)(testSharedAttributeList)

class AttributeListRepresentationTest: public CPPUNIT_NS :: TestFixture
{
    CPPUNIT_TEST_SUITE (AttributeListRepresentationTest);
    BOOST_PP_SEQ_FOR_EACH(TESTBASE_TESTDEF, ~, TEST_NAMES);
    CPPUNIT_TEST_SUITE_END ();

public:
    void setUp (void) {};
    void tearDown (void) {};

protected:
	BOOST_PP_SEQ_FOR_EACH(TESTBASE_METHODEF, ~, TEST_NAMES)

private:
	typedef Pointer<Stream::DataStringStream>::Shared StrType;
};

#undef TEST_NAMES

END_CORALMESSAGING_NAMESPACE

#endif /* #ifndef CORALMESSAGING_TESTS_ATTRIBUTELISTREPRESENTATIONTEST_H_ */
