/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */

#ifndef CTLMESSAGEBUFFERTEST_H_
#define CTLMESSAGEBUFFERTEST_H_

#include "TestBase.h"
#include "CoralMessaging/Stream/DataStringStream.h"

START_CORALMESSAGING_NAMESPACE

namespace CTL {

#define MESSAGE_NAMES (test)(testListTablesReply)

class MessageBufferTest : public CPPUNIT_NS :: TestFixture
{
	CPPUNIT_TEST_SUITE (MessageBufferTest);
	BOOST_PP_SEQ_FOR_EACH(TESTBASE_TESTDEF, ~, MESSAGE_NAMES);
	CPPUNIT_TEST_SUITE_END ();

public:
    void setUp (void) {}
    void tearDown (void) {}

protected:
	BOOST_PP_SEQ_FOR_EACH(TESTBASE_METHODEF, ~, MESSAGE_NAMES)
};

#undef MESSAGE_NAMES

} //namespace CTL

END_CORALMESSAGING_NAMESPACE

#endif /*MESSAGEBUFFERTEST_H_*/
