/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef PACKETREADERTEST_H_
#define PACKETREADERTEST_H_

#include "TestBase.h"
#include "CoralMessaging/Stream/DataStringStream.h"

START_CORALMESSAGING_NAMESPACE

#define TEST_NAMES (testOnePacket)(testStreamBroken)(testGarbage)(testZeroPayload) \
(testMorePackets)

class PacketReaderTest : public CPPUNIT_NS :: TestFixture
{
    CPPUNIT_TEST_SUITE (PacketReaderTest);
    BOOST_PP_SEQ_FOR_EACH(TESTBASE_TESTDEF, ~, TEST_NAMES);
    CPPUNIT_TEST_SUITE_END ();

public:
    void setUp (void) {};
    void tearDown (void) {};

protected:
	BOOST_PP_SEQ_FOR_EACH(TESTBASE_METHODEF, ~, TEST_NAMES)
};

#undef TEST_NAMES

END_CORALMESSAGING_NAMESPACE

#endif /*PACKETREADERTEST_H_*/
