#ifndef CORALPROTOCOL_ERROR_H_
#define CORALPROTOCOL_ERROR_H_

#include <sstream>
#include "Insulation/Exception.h"

#include "base.h"

#define CORALPROTOCOL_EXCEPTION_THROW(description) { \
	std::stringstream __DESC__ ("CoralProtocol error at line "); \
	__DESC__ << __LINE__ << ": " << description; \
	throw Exception(__DESC__.str(), __FUNCTION__, __FILE__); \
}

#endif // CORALPROTOCOL_ERROR_H_
