#ifndef CORALPROTOCOL_PACKETHEADERTEST_H_
#define CORALPROTOCOL_PACKETHEADERTEST_H_

#include "UnitTests/UnitTestBase.h"
#include "CoralProtocol/base.h"

START_CORALPROTOCOL_NAMESPACE

#define TEST_NAMES (testConstructionFromBuffer)(testCacheableFlag)(testVersionMismatch) \
(testLittleEndianness)(testWrongEndianness)(testOpcode)(testClientID)(testRequestID) \
(testSequenceNum)

#define CLASS_NAME PacketHeaderTest

class CLASS_NAME : public CPPUNIT_NS :: TestFixture
{
    CPPUNIT_TEST_SUITE (CLASS_NAME);
    BOOST_PP_SEQ_FOR_EACH(TESTBASE_TESTDEF, ~, TEST_NAMES);
    CPPUNIT_TEST_SUITE_END ();
    
public:
    void setUp (void) {}
    void tearDown (void) {}
    
protected:
	BOOST_PP_SEQ_FOR_EACH(TESTBASE_METHODEF, ~, TEST_NAMES)
};

END_CORALPROTOCOL_NAMESPACE

#endif // CORALPROTOCOL_PACKETHEADERTEST_H_
