/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef _CORALSERVER_H_
#define _CORALSERVER_H_

#include <string>

#include "base.h"

START_CORALSERVER_NAMESPACE

class CoralServer
{
public:
    void start();
    void stop(); 
};

inline CoralServer& theServer()
{
	static CoralServer s;
	return s;
}

END_CORALSERVER_NAMESPACE

#endif // #ifndef _CORALSERVER_H_
