/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALSERVER_IEVENTHANDLER_H_
#define CORALSERVER_IEVENTHANDLER_H_

#include "CoralMessaging/ICoralIOHandler.h"
#include "Pointers.h"

START_CORALSERVER_NAMESPACE

using CORALMESSAGING_NAMESPACE_NAME::ICoralIOHandler;

class IEventHandler 
{
public:
	virtual ~IEventHandler() {};
	virtual void handleEvents(Pointer<ICoralIOHandler>::Shared sh) = 0;
};

END_CORALSERVER_NAMESPACE

#endif /*CORALSERVER_IEVENTHANDLER_H_*/
