/* 
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 * 
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#include <iterator>

#include "utils.h"

START_CORALSERVER_NAMESPACE

namespace Utils {

std::ostream& operator << (std::ostream& os, const std::vector<std::string>& data)
{
	std::copy(data.begin(), data.end(), std::ostream_iterator<std::string>(os, ";;;"));
	return os;
}

} // namespace Utils

END_CORALSERVER_NAMESPACE
