/*
 * Project: POOL
 * Sub-project: CORAL
 * Web site: http://pool.cern.ch/coral
 *
 * Author: Zsolt.Molnar@cern.ch (http://www.zsoltmolnar.hu)
 */
#ifndef CORALSERVER_TESTS_QUERYHANDLERPERFORMANCE_H_
#define CORALSERVER_TESTS_QUERYHANDLERPERFORMANCE_H_

#include "CoralServer/base.h"

START_CORALSERVER_NAMESPACE

/** Unit test for the Task class */
class QueryHandlerPerformance
{
public:
    void handleManyQueriesWithOracle();
    void handleManyQueriesWithHandler();

    static std::string TableName() {return "T";}
    static std::string OracleServiceName() {return "/tests/db_ora/admin";}

private:
	static int _QueryNum() {return 1000;}
};

END_CORALSERVER_NAMESPACE

#endif /*CORALSERVER_TESTS_QUERYHANDLERPERFORMANCE_H_*/
