#include "LFCReplica.h"

coral::LFCReplicaService::LFCReplicaSet::~LFCReplicaSet(){
  for(std::vector<LFCReplica*>::iterator iR=m_replicas.begin();iR!=m_replicas.end();++iR){
    delete *iR;
  }
}

const std::vector<coral::LFCReplicaService::LFCReplica*>& coral::LFCReplicaService::LFCReplicaSet::replicas() const {
  return m_replicas;
}

std::vector<coral::LFCReplicaService::LFCReplica*>& coral::LFCReplicaService::LFCReplicaSet::replicas(){
  return m_replicas;
}


