#ifndef TESTBASE_H
#define TESTBASE_H

#include "CoralKernel/Context.h"

#include "RelationalAccess/AccessMode.h"

#include <string>

namespace coral
{
  class ISession;
}

class TestBase
{
public:
  // Constructor
  TestBase();

  // Destructor
  virtual ~TestBase();

  // The actual run method
  virtual void run() = 0;

protected:
  // Returns a session object
  coral::ISession* connect( const std::string& connectionString, const std::string& userName, const std::string& password, coral::AccessMode );
};

#endif
