#ifndef GROUPBYAPP_H
#define GROUPBYAPP_H

#include "../Common/TestBase.h"

class GroupApp : virtual public TestBase
{
public:
  GroupApp( const std::string& connectionString,
              const std::string& userName,
              const std::string& password );
  virtual ~GroupApp();
  void run();

private:
  void fillData();
  void readData();

private:
  std::string m_connectionString;
  std::string m_userName;
  std::string m_password;
};

#endif
