#ifndef THREADAPP_H
#define THREADAPP_H

#include "../Common/TestBase.h"

class Reporter;

class ThreadApp : virtual public TestBase
{
public:
  ThreadApp( const std::string& connectionString,
             const std::string& userName,
             const std::string& password,
             Reporter& reporter );
  virtual ~ThreadApp();
  void run();

private:
  std::string m_connectionString;
  std::string m_userName;
  std::string m_password;
  Reporter& m_reporter;
};

#endif
