#ifndef TESTBASE_H
#define TESTBASE_H

namespace coral {
  class IAuthenticationService;
}
#include <string>

class TestBase {
protected:
  TestBase( coral::IAuthenticationService& service,
            const std::string& connectionString );
  virtual ~TestBase() {}

  std::string username() const { return m_username; }
  std::string password() const { return m_password; }

private:
  std::string m_username;
  std::string m_password;
};

#endif
