#ifndef INCLUDE_TESTAPP_H
#define INCLUDE_TESTAPP_H

#include "RelationalAccess/IConnectionService.h"
#include "CoralKernel/Context.h"
#include <string>

class TestApp
{
public:
  static const std::string OVALTAG;
  
  // Constructor
  TestApp();

  // Destructor
  ~TestApp();

  // run method
  void run();

private:
  // Returns the connection service handle
  coral::IHandle<coral::IConnectionService> connectionService();

  //
  void setupDataSource( const std::string& connectionString);
  
};

#endif
