#ifndef DML_RANDOMQUERY_H
#define DML_RANDOMQUERY_H

#include "TestEnv/Testing.h"

namespace coral {
  class Blob;
}

class RandomQuery : public Testing
{
public:
    RandomQuery(TestEnv * env);
    
    void execute();
    
    void setup();

private:
    
    std::string createFullString(size_t maxc, size_t offset = 0);
    
    void fillBlob(coral::Blob& blob, size_t maxc);
    
    std::vector<std::string> _tables;
    
};

#endif
