#include "app.h"
#include "CoralBase/Exception.h"
#include <iostream>
#include <exception>
#include <cstdlib>

#include "TestEnv.h"
#include "TestingConfig.h"
#include "Testing.h"

#include "DmlOperations.h"

int main(int argc, char *argv[])
{
  TestEnv env("UNIT_CA");
  env.addDBType("coral").add("frontier");
  env.addDBType("oracle").add("mysql").add("sqlite");
  
  if(env.check(argc, argv)){ 
    env.addServiceName(0, TEST_CORE_SCHEME_ADMIN); 
    env.addServiceName(1, TEST_CORE_SCHEME_ADMIN); 

 //   Testing tests(&env);

    
//    tests.createSession(1);
//    tests.createSchemaDefault();
//    tests.createViewDefault();

//    tests.printSchemaDefault();
    
//    tests.deleteSession();
    
//      DmlOperations DmlO(&env);
      //setup session for writing
//      DmlO.createSession(1);
//      DmlO.atomicOperations();
//      DmlO.bulkOperations();   
//      DmlO.deleteSession();       
    
    
    TestApp tests02(&env);
    
    tests02.createSession(0);
    
 //   tests02.testsQueries();

    tests02.testsAttrLists();
    
    tests02.deleteSession();

//    tests.createSession(0);

//    tests.printSchemaDefault();
    
//    tests.deleteSession();
    
            
//    coral::ConnectionService * connService = new coral::ConnectionService();
//    coral::ISessionProxy * session = connService->connect( "/tests/db_cor/admin", coral::Update );
    
//    session->transaction().start();
    
    
//    session->transaction().commit();
    
//    delete session;
    
//    delete connService;
    
 //   coral::Context& ctx = coral::Context::instance();
 //   coral::IHandle<coral::ICoralAccess> lookupService = ctx.query<coral::ILookupService>();
//  if ( ! lookupService.isValid() ) {
//    ctx.loadComponent("CORAL/Services/XMLLookupService");
//  }
//  lookupService = ctx.query<coral::ILookupService>();
    
    
//    TestApp app(&env);
    
//    try {
//      app.createSession(0);
//      app.fillReferencedData();
//    }
//    catch ( coral::Exception& e )
//    {
//      std::cerr << "CORAL exception " << e.what() << std::endl;
//      return 1;
//    }
//    catch ( std::exception& e )
//    {
//      std::cerr << "Standard C++ exception " << e.what() << std::endl;
//      return 1;
//    }
//    catch( ... )
//    {
 //     std::cerr << "Unknown exception ..." << std::endl;
 //     return 1;
//    }
//    std::cout << "[OVAL] Success" << std::endl;
    return 0;
  }
  return 1;  
}
