#ifndef CORAL_TESTING_DATA_FILLER
#define CORAL_TESTING_DATA_FILLER

#include "Connectivity/ApplicationBase.h"

namespace coral {

  class ISessionProxy;

  namespace Testing {

    class DataFiller : public ApplicationBase
    {
    public:
      /// Constructor
      DataFiller();

      /// Destructor
      virtual ~DataFiller();

      /// Performs the first read operation
      virtual void read1();

      /// Performs the second read operation
      virtual void read2();

    private:
      void fillData( coral::ISessionProxy& session );
    };

  }

}


#endif
