#ifndef CORAL_TESTING_DATA_READER2
#define CORAL_TESTING_DATA_READER2

#include "Connectivity/ApplicationBase.h"
#include <string>

namespace coral {

  class ISessionProxy;

  namespace Testing {

    class Reader2 : public ApplicationBase
    {
    public:
      /// Constructor
      explicit Reader2( const std::string& args );

      /// Destructor
      virtual ~Reader2();

      /// Performs the first read operation
      virtual void read1();

      /// Performs the second read operation
      virtual void read2();

    private:
      coral::ISessionProxy* m_session;
    };

  }

}


#endif
